# vim: set sw=4 ts=4 et nu:
#
# spec file for package perl-Ogg-Vorbis-Header
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Ogg-Vorbis-Header
Version:        0.03
Release:        4.1
Summary:        View Vorbis info & comments; edit comments
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/D/DB/DBP/Ogg-Vorbis-Header-%{version}.tar.gz
# PATCH-FIX-UPSTREAM perl-Ogg-Vorbis-Header-invalid-test.patch RT#104869 HMBRAND@cpan.org -- Fix can't use an array as a reference error.
Patch0:         perl-Ogg-Vorbis-Header-invalid-test.patch
Url:            http://search.cpan.org/dist/Ogg-Vorbis-Header
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
# MANUAL BEGIN
Requires:       perl(Inline::C)
# MANUAL END
BuildRequires:  gcc
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  make
BuildRequires:  perl-Inline
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Inline::C)
BuildRequires:  perl(Inline::MakeMaker)
BuildRequires:  perl(Parse::RecDescent)

%description
This module presents an object-oriented interface to Ogg Vorbis files which
allows user to view Vorbis info and comments and to modify or add comments.

%prep
%setup -q -n "Ogg-Vorbis-Header-%{version}"
%patch0 -p1
%__sed -i '/^auto_install/d' Makefile.PL

%build
perl -e "require Inline::C;print $Inline::C::VERSION;"
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README Changes LICENSE.GPL
%dir %{perl_vendorarch}/Ogg
%dir %{perl_vendorarch}/Ogg/Vorbis
%{perl_vendorarch}/Ogg/Vorbis/Header.pm
%dir %{perl_vendorarch}/auto/Ogg
%dir %{perl_vendorarch}/auto/Ogg/Vorbis
%{perl_vendorarch}/auto/Ogg/Vorbis/Header
%doc %{perl_man3dir}/Ogg::Vorbis::Header.%{perl_man3ext}%{ext_man}

%changelog
* Thu Sep 17 2015 olaf@aepfle.de
- Require Inline::C at runtime
* Mon Jun 29 2015 malcolmlewis@opensuse.org
- Add perl-Ogg-Vorbis-Header-invalid-test.patch: Fix can't use an
  array as a reference error (RT#104869).
* Sun Jun 14 2015 malcolmlewis@opensuse.org
- Add build requires on Parse::RecDescent and also Inline::C as
  this was split from the Inline module.
* Sat Mar 19 2011 pascal.bleser@opensuse.org
- Initial version (0.03).
